## net.i2p.router.networkdb.kademlia
Class StartExplorersJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.kademlia.StartExplorersJob

All Implemented Interfaces:
  Job

class StartExplorersJob
extends JobImpl

Fire off search jobs for random keys from the explore pool, up to MAX_PER_RUN at a time.

Constructor Summary
`StartExplorersJob(RouterContext context, KademliaNetworkDatabaseFacade facade)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.
`void` `updateExploreSchedule()` the exploration has found some new peers - update the schedule so that we'll explore appropriately.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StartExplorersJob

    public StartExplorersJob(RouterContext context,
                             KademliaNetworkDatabaseFacade facade)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

### updateExploreSchedule

    public void updateExploreSchedule()

  the exploration has found some new peers - update the schedule so that we'll explore appropriately.